Ticket #43760

Multiplayer ruleset sets non-hex topology

Open Date: 2022-02-01 22:26 Last Update: 2022-02-04 21:36

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
1

Details

Hex should be the default in freeciv-3.0 and later. Multiplayer ruleset is not one of the rulesets that should change that, but it does.

Ticket History (3/6 Histories)

2022-02-01 22:26 Updated by: cazfi
  • New Ticket "Multiplayer ruleset sets non-hex topology" created
2022-02-01 22:52 Updated by: cazfi
Comment

Attached is a patch that I've applied to cazfi.net server.

2022-02-02 00:24 Updated by: cazfi
Comment

While this is not breaking things as such, I'd definitely would like to have it fixed before 3.0.0, so that it would not go in *after*. It would be rather big rule change to do mid-series.

Yet it's rather late to get it to 3.0.0-RC1 at this point. Patch submitted now would barely pass review period and would be pushed in only just before the release.

I looked back to 2.6.0 release time, and found out that back then we did some changes even between the last RC and the final 2.6.0 release. With that case in mind, my proposal is that we push fix to this (immediately) after 3.0.0-RC1.

2022-02-02 00:29 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.0 (closed)
2022-02-04 21:36 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Attachment File List

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login